Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.responses
Class TherapeuticLinkResponse

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.TherapeuticLink
          be.ehealth.businessconnector.therlink.domain.responses.TherapeuticLinkResponse

All Implemented Interfaces:
  Serializable

    public class TherapeuticLinkResponse

extends TherapeuticLink

TherapeuticLinkResponse

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TherapeuticLinkResponse.Builder` Builder for the response

Constructor Summary
`TherapeuticLinkResponse(Patient patient, HcParty hcParty, String type)`

Method Summary
`boolean` | `equals(Object obj)`
`List<OperationContext>` | `getOperationContexts()`
`static long` | `getSerialversionuid()`
`int` | `hashCode()`
`void` | `setOperationContexts(List<OperationContext> operationContexts)`

Methods inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLink
`getComment, getEndDate, getHcParty, getPatient, getStartDate, getStatus, getType, setComment, setEndDate, setHcParty, setPatient, setStartDate, setStatus, setType, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TherapeuticLinkResponse

    public TherapeuticLinkResponse(Patient patient,
                                   HcParty hcParty,
                                   String type)

Parameters:
  `patient` -
  `hcParty` -
  `type` -

Method Detail

### getOperationContexts

    public List<OperationContext> getOperationContexts()

  Returns:
    the operationContexts

### setOperationContexts

    public void setOperationContexts(List<OperationContext> operationContexts)

  Parameters:
    `operationContexts` - the operationContexts to set

### getSerialversionuid

    public static long getSerialversionuid()

  Returns:
    the serialversionuid

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `TherapeuticLink`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `TherapeuticLink`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.